## org.codehaus.groovy.grails.orm.hibernate.proxy
Class GroovyAwareJavassistLazyInitializer

    java.lang.Object
      org.hibernate.proxy.AbstractLazyInitializer
          org.hibernate.proxy.pojo.BasicLazyInitializer
              org.codehaus.groovy.grails.orm.hibernate.proxy.GroovyAwareJavassistLazyInitializer

All Implemented Interfaces:
  javassist.util.proxy.MethodHandler, org.hibernate.proxy.LazyInitializer

    public class GroovyAwareJavassistLazyInitializer

extends org.hibernate.proxy.pojo.BasicLazyInitializer
implements javassist.util.proxy.MethodHandler

Since:
  1.0

  Created: Apr 21, 2009
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.hibernate.proxy.pojo.BasicLazyInitializer
`componentIdType, getIdentifierMethod, INVOKE_IMPLEMENTATION, overridesEquals, persistentClass, setIdentifierMethod`

Method Summary
`static org.hibernate.proxy.HibernateProxy` `getProxy(Class factory, String entityName, Class persistentClass, Class[] interfaces, Method getIdentifierMethod, Method setIdentifierMethod, org.hibernate.type.AbstractComponentType componentIdType, Serializable id, org.hibernate.engine.SessionImplementor session)`
`static org.hibernate.proxy.HibernateProxy` `getProxy(String entityName, Class persistentClass, Class[] interfaces, Method getIdentifierMethod, Method setIdentifierMethod, org.hibernate.type.AbstractComponentType componentIdType, Serializable id, org.hibernate.engine.SessionImplementor session)`
`static Class` `getProxyFactory(Class persistentClass, Class[] interfaces)`
`Object` `invoke(Object proxy, Method thisMethod, Method proceed, Object[] args)`
`protected Object` `serializableProxy()`

Methods inherited from class org.hibernate.proxy.pojo.BasicLazyInitializer
`getPersistentClass, invoke`

Methods inherited from class org.hibernate.proxy.AbstractLazyInitializer
`getEntityName, getIdentifier, getImplementation, getImplementation, getSession, getTarget, initialize, isConnectedToSession, isUninitialized, isUnwrap, setIdentifier, setImplementation, setSession, setUnwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getProxy

    public static org.hibernate.proxy.HibernateProxy getProxy(String entityName,
                                                              Class persistentClass,
                                                              Class[] interfaces,
                                                              Method getIdentifierMethod,
                                                              Method setIdentifierMethod,
                                                              org.hibernate.type.AbstractComponentType componentIdType,
                                                              Serializable id,
                                                              org.hibernate.engine.SessionImplementor session)
                                                       throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### getProxy

    public static org.hibernate.proxy.HibernateProxy getProxy(Class factory,
                                                              String entityName,
                                                              Class persistentClass,
                                                              Class[] interfaces,
                                                              Method getIdentifierMethod,
                                                              Method setIdentifierMethod,
                                                              org.hibernate.type.AbstractComponentType componentIdType,
                                                              Serializable id,
                                                              org.hibernate.engine.SessionImplementor session)
                                                       throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### getProxyFactory

    public static Class getProxyFactory(Class persistentClass,
                                        Class[] interfaces)
                                 throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### invoke

    public Object invoke(Object proxy,
                         Method thisMethod,
                         Method proceed,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `javassist.util.proxy.MethodHandler`
  Throws:
    `Throwable`

### serializableProxy

    protected Object serializableProxy()

  Specified by:
    `serializableProxy` in class `org.hibernate.proxy.pojo.BasicLazyInitializer`

Copyright (c) 2005-2009 The Grails project